package org.jeecg.modules.bytedance.advertise.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.bytedance.advertise.vo.MonitorBytedanceAdVo;
import org.jeecg.modules.bytedance.common.entity.CtopOauthToken;

import java.util.Set;

/**
 * @Description: 头条监测连接预警
 * @Author: jeecg-boot
 * @Date: 2020-11-16
 * @Version: V1.0
 */
public interface IMonitorBytedanceService{


    Result insertAccountTrackUrl(MonitorBytedanceAdVo monitorBytedanceAdVo);

    Result monitorBytedanceActionTrackUrl(String accountId);

    Result updAccountActionTrackUrl(MonitorBytedanceAdVo monitorBytedanceAdVo);

    Result selectAccountActionTrackUrlList(String accountId, String warningFlag, Set<String> operatorUserIds, Integer pageNum, Integer pageSize);

    void trackUrlContrast(CtopOauthToken token,String accountId,String converId,String planId);
}
